@echo off
if not %1 .==.  goto chkparm2
echo *****************************************
echo * No Destination Directory is specified *
echo *****************************************
goto noparm

:noparm2
echo ************************************
echo *No Application Directory specified*
echo ************************************

:noparm
echo Usage: install dst drv  (drv must be in lower case)
echo        example:  install c:\avga3 all
echo          dst = full pathname of destination directory
echo          drv = 'all' expand the whole drivers/utilities disk
echo                'wp' expand WORDPERFECT directory
echo                'lotus2x' expand LOTUS2X directory
echo                'lotus30' expand LOTUS30 directory
echo                'wordstar' expand WORDSTAR directory
echo                'word50' expand WORD50 directory
echo                'utility' expand UTILITY directory
echo                'misc' expand MISC directory
echo                'gemvp' expand GEMVP directory
echo                'pcad' expand PCAD directory
echo                'win3x' expand WIN3X directory
echo                'os2' expand OS2 directory
echo                'acad286' expand ACAD 286 Rel.10 directory
echo                'acad386' expand ACAD 386 Rel.11 and 12 directory
echo                's23d' expand AUTOSHADE with RENDERMAN and 3D STUDIO directoty
echo                'shsket' expand AUTOSHADE and AUTOSKETCH directory
echo                'fw2' expand FRAMEWORK2 directory
echo                'fw3' expand FRAMEWORK3 directory 
echo                'vcad386' expand VERSACAD 386 directory
echo                'vcad' expand VERSCAD directory  
goto stop

:chkparm2
if %2 .==. goto noparm2
if %2 == all goto start
if %2 == wp goto start
if %2 == lotus2x goto start
if %2 == lotus30 goto start
if %2 == wordstar goto start
if %2 == word50 goto start
if %2 == utility goto start
if %2 == misc goto start
if %2 == gemvp goto start
if %2 == pcad goto start
if %2 == win3x goto start
if %2 == os2 goto start
if %2 == acad286 goto start
if %2 == acad386 goto start
if %2 == s23d goto start
if %2 == shsket goto start
if %2 == fw2 goto start
if %2 == fw3 goto start
if %2 == vcad386 goto start
if %2 == vcad goto start
goto noparm

:start
md %1

if %2 == os2 goto dir16
if %2 == win3x goto dir16
if %2 == vcad goto dir16
if %2 == all goto wpdir
if %2 == wp goto wpdir
goto dir1
:wpdir
echo *************************
echo *Installing WP Directory*
echo *************************
md %1\wp
arj e wp.arj %1\wp

:dir1
if %2 == all goto l2xdir
if %2 == lotus2x goto l2xdir
goto dir2
:l2xdir
echo ******************************
echo *Installing Lotus2x Directory*
echo ******************************
md %1\lotus2x
arj e lot2x.arj %1\lotus2x

:dir2
if %2 == all goto l30dir
if %2 == lotus30 goto l30dir
goto dir3
:l30dir
echo ******************************
echo *Installing Lotus30 Directory*
echo ******************************
md %1\lotus30
arj e lot30.arj %1\lotus30

:dir3
if %2 == all goto wsdir
if %2 == wordstar goto wsdir
goto dir4
:wsdir
echo *******************************
echo *Installing Wordstar Directory*
echo *******************************
md %1\wordstar
arj e ws.arj %1\wordstar

:dir4
if %2 == all goto worddir
if %2 == word50 goto worddir
goto dir5
:worddir
echo *****************************
echo *Installing Word50 Directory*
echo *****************************
md %1\word50
arj e word.arj %1\word50

:dir5
if %2 == all goto utildir
if %2 == utility goto utildir
goto dir6
:utildir
echo ******************************
echo *Installing Utility Directory*
echo ******************************
md %1\clutil
arj e util.arj %1\clutil

:dir6
if %2 == all goto miscdir
if %2 == misc goto miscdir
goto dir7
:miscdir
echo ***************************
echo *Installing Misc Directory*
echo ***************************
md %1\misc
arj e misc.arj %1\misc

:dir7
if %2 == all goto pcaddir
if %2 == pcad goto pcaddir
goto dir8
:pcaddir
echo ***************************
echo *Installing Pcad Directory*
echo ***************************
md %1\pcad
arj e pcad.arj %1\pcad

:dir8
if %2 == all goto gemdir
if %2 == gemvp goto gemdir
goto dir9
:gemdir
echo ******************************
echo * Installing GemVP Directory *
echo ******************************
md %1\gemvp
arj e gem3.arj %1\gemvp 

:dir9
if %2 == all goto acaddir
if %2 == acad286 goto acaddir
goto dir10
:acaddir
echo ***************************************
echo *Installing ACAD 286 Rel.10 Directory *
echo ***************************************
md %1\acad286
arj e acad286.arj %1\acad286

:dir10
if %2 == all goto acp
if %2 == acad386 goto acp
goto dir11
:acp
echo **********************************************
echo *Installing ACAD 386 Rel.11 and 12 Directory *
echo **********************************************
md %1\acad386
arj e acad386.arj %1\acad386

:dir11
if %2 == all goto fw2dir
if %2 == fw2 goto fw2dir
goto dir12
:fw2dir
echo ***********************************
echo *Installing FRAMEWORK 2 Directory *
echo ***********************************
md %1\fw2
arj e fw2.arj %1\fw2

:dir12
if %2 == all goto fw3dir
if %2 == fw3 goto fw3dir
goto dir13
:fw3dir
echo ***********************************
echo *Installing FRAMEWORK 3 Directory *
echo ***********************************
md %1\fw3
arj e fw3.arj %1\fw3

:dir13
if %2 == all goto vd386dir
if %2 == vcad386 goto vd386dir
goto dir14
:vd386dir
echo ************************************
echo *Installing VERSACAD 386 directory *
echo ************************************
md %1\vcad386
arj e vcad386.arj %1\vcad386

:dir14
if %2 == all goto s2dir
if %2 == s23d goto s2dir
goto dir15
:s2dir
echo **************************************************************
echo *Installing Autoshade with renderman and 3D Studio directory *
echo **************************************************************
md %1\sha3ds
arj e acad386.arj %1\sha3ds

:dir15
if %2 == all goto shskedir
if %2 == shsket goto shskedir
goto test
:shskedir
echo ***************************************
echo *Installing Autoshade and Autosketch3 *
echo ***************************************
md %1\shsket
arj e acad286.arj %1\shsket

:test
if %2 == all goto dir16
goto stop

:dir16
echo *******************************
echo *Please Insert Disk2 to Drive *
echo *******************************
pause
if not exist a:\os2.arj goto dir16

if %2 == all goto os2dir
if %2 == os2 goto os2dir
goto dir17
:os2dir
echo ***********************************
echo *Installing OS2 Drivers directory *
echo *********************************** 
md %1\os2
arj x -y os2.arj %1\os2

:dir17
if %2 == all goto win3xdir
if %2 == win3x goto win3xdir
goto dir18
:win3xdir
echo ***********************************
echo *Installing Windows 3.X directory *
echo ***********************************
md %1\win3x
arj x -y win3x.arj %1\win3x

:dir18
if %2 == all goto vcaddir
if %2 == vcad goto vcaddir
goto stop
:vcaddir
echo *****************************
echo *Installing Vcad  directory *
echo *****************************
md %1\vcad
arj e vcad.arj %1\vcad

:stop
